version 8.2
clear
set more off
set mem 50m
set matsize 200

capture mkdir "brazrloc/tex/v4/reg"
capture mkdir "brazrloc/tex/v4/metromale-prime/reg"
capture mkdir "brazrloc/tex/v4/natl-maleprime/reg"


// PME REGRESSIONS

* Load variable names and save for est2tex
est2extlbl, addto(mlogit1) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/pme) replace
est2extlbl, addto(mlogit2) retain p(brazrloc/tex/v4/pme) replace
est2extlbl, addto(mlogit3) retain p(brazrloc/tex/v4/pme) replace
est2extlbl, addto(mlogit4) retain p(brazrloc/tex/v4/pme) replace

* LOAD MATRICES *
foreach reg in 1 2 3 4 {
  foreach type in b se {
    drop _all
    matload mlogit`reg'_`type', p(brazrloc/estmat/v4/pme) over missing(.)
    }
  est2tex mlogit`reg', fancy p(brazrloc/tex/v4/pme) replace level(90 95 99) mark(starse) dropall
  }
drop _all


// RAIS SUBSECTOR IBGE

* Load variable names and save for est2tex
est2extlbl, addto(summ_dspl) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(summ_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(summ_dspl_timevar) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(summ_hire_timevar) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(summ) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_comp) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_comp_yreff) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_main_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_main_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_fststg) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_iv) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_logit) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(base_logit) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_robst_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(base_robst_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_robst_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(base_robst_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(paper_frmlnlp) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(comp_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(comp_natlsubs_yreff) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_natlsubs_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_natlsubs_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(logitplus_natlsubs_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(logitplus_natlsubs_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(eduprv_natlsubs_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(eduprv_natlsubs_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv1stsec_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv1stfrm_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(xtivreg_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(xtivreg_nointr_natlsubs) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(comp_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(comp_metrosubs_yreff) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(main_metrosubs_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(main_metrosubs_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(logitplus_metrosubs_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(logitplus_metrosubs_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(eduprv_metrosubs_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(eduprv_metrosubs_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv1stsec_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv1stfrm_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(xtivreg_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(xtivreg_nointr_metrosubs) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
clear

* LOAD MATRICES *

foreach margin in dspl hire {
  foreach mat in allsec balrnk1 balrnk3 balrnk5 indexp timevar {
    matload summ_`margin'_`mat'_tbl, p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    }
  foreach type in b se e {
    drop _all
    matload subs_`margin'_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.)
    matrix rename subs_`margin'_`type' metrosubs_`margin'_`type'
    drop _all
    matload subs_`margin'_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    matrix rename subs_`margin'_`type' natlsubs_`margin'_`type'
    }
  foreach type in b se e r {
    drop _all
    matload subs`margin'_paper_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    drop _all
    matload subs_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.)
    matrix rename subs_`margin'_iv1st_`type' metrosubs_`margin'_iv1st_`type'
    drop _all
    matload subs_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    matrix rename subs_`margin'_iv1st_`type' natlsubs_`margin'_iv1st_`type'
    }
  }

// RAIS NATIONAL SUMMARY STATISTICS

foreach margin in dspl hire {
  matorder summ_`margin'_allsec_tbl, m(summ_`margin'_allsec_tbl) over ifc(mean sd)
  matorder summ_`margin'_balrnk1_tbl, m(summ_`margin'_balrnk1_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk3_tbl, m(summ_`margin'_balrnk3_tbl) over ifc(mean)
  matorder summ_`margin'_balrnk5_tbl, m(summ_`margin'_balrnk5_tbl) over ifc(mean)
  matorder summ_`margin'_indexp_tbl, m(summ_`margin'_indexp_tbl) over ifc(mean)
  mat summ_`margin'_tbl = summ_`margin'_allsec_tbl , summ_`margin'_balrnk5_tbl , summ_`margin'_indexp_tbl
  mat coleq summ_`margin'_tbl = allsec allsec balrnk5 indexp
  mat drop summ_`margin'_allsec_tbl summ_`margin'_balrnk1_tbl summ_`margin'_balrnk3_tbl summ_`margin'_balrnk5_tbl summ_`margin'_indexp_tbl
  est2tex summ_`margin', ready replace p(brazrloc/tex/v4/natl-maleprime/reg) fancy digits(3) dropall
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifr(subs_balcadv subs_balcadv_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_fdiflw subs_reffpen subs_tarfoutp subs_tarfintm subs_herfsale subs_indprown_pis occ_indoutsrc plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_indexp firm_indexp_tarf firm_lnlp indprim indhigh indscoll indgrad indprof indtech indwhit indsklb indunsklb balarank indsmpl)
  matorder summ_`margin'_tbl, m(summ_`margin'_tbl) over ifc(balrnk5_mean indexp_mean)
  }
mat summ_tbl = summ_dspl_tbl , summ_hire_tbl
mat drop summ_dspl_tbl summ_hire_tbl
mat coleq summ_tbl = dspl dspl hire hire
est2tex summ, ready replace p(brazrloc/tex/v4/natl-maleprime/reg) fancy digits(3) dropall extracols(2)

foreach margin in dspl hire {
  foreach var in plant_lnempl firm_lnlp {
    mat `var'_98_90 = J(1,4,.)
    mat colnames `var'_98_90 = mean_allsec sd_allsec mean_balarank5 mean_firm_indexp
    mat rownames `var'_98_90 = `var':1998_1990
    foreach col in mean_allsec mean_balarank5 mean_firm_indexp {
      mat `var'_98_90[1,colnumb(`var'_98_90,"`col'")] = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1998"),colnumb(summ_`margin'_timevar_tbl,"`col'")] / summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"`var':1990"),colnumb(summ_`margin'_timevar_tbl,"`col'")]
      }
    }
  mat summ_`margin'_timevar_tbl = summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1990")..rownumb(summ_`margin'_timevar_tbl,"plant_lnempl:1998"),1...] \ plant_lnempl_98_90 \ summ_`margin'_timevar_tbl[rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1990")..rownumb(summ_`margin'_timevar_tbl,"firm_lnlp:1998"),1...] \ firm_lnlp_98_90
  mat drop plant_lnempl_98_90 firm_lnlp_98_90
  est2tex summ_`margin'_timevar, ready replace p(brazrloc/tex/v4/natl-maleprime/reg) fancy digits(3) dropall
  }

// RAIS NATIONAL TABLES FOR PAPER

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_paper_`type', m(paperdspl_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat paperdspl_comp_`type' = subsdspl_paper_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat paperdspl_comp_`type' = paperdspl_comp_`type' , addon_dspl_`type'
  matorder paperdspl_comp_`type', m(paperdspl_comp_`type') over ifc(clogit_paper clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_paper_`type', m(paperhire_comp_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat paperhire_comp_`type' = subshire_paper_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat paperhire_comp_`type' = paperhire_comp_`type' , addon_hire_`type'
  matorder paperhire_comp_`type', m(paperhire_comp_`type') over ifc(clogit_paper clogit_focal clogit_all)
  mat paper_comp_`type' = paperdspl_comp_`type' , paperhire_comp_`type'
  mat drop paperdspl_comp_`type' paperhire_comp_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq paper_comp_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_comp, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  if "`type'"~="e"  matorder subsdspl_paper_`type', m(paperdspl_comp_yreff_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat paperdspl_comp_yreff_`type' = subsdspl_paper_`type'
  if "`type'"~="e"  matorder natlsubs_dspl_`type', m(addon_dspl_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat addon_dspl_`type' = natlsubs_dspl_`type'
  mat paperdspl_comp_yreff_`type' = paperdspl_comp_yreff_`type' , addon_dspl_`type'
  matorder paperdspl_comp_yreff_`type', m(paperdspl_comp_yreff_`type') over ifc(clogit_paper clogit_focal clogit_all)
  if "`type'"~="e"  matorder subshire_paper_`type', m(paperhire_comp_yreff_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat paperhire_comp_yreff_`type' = subshire_paper_`type'
  if "`type'"~="e"  matorder natlsubs_hire_`type', m(addon_hire_`type') ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  if "`type'"=="e"  mat addon_hire_`type' = natlsubs_hire_`type'
  mat paperhire_comp_yreff_`type' = paperhire_comp_yreff_`type' , addon_hire_`type'
  matorder paperhire_comp_yreff_`type', m(paperhire_comp_yreff_`type') over ifc(clogit_paper clogit_focal clogit_all)
  mat paper_comp_yreff_`type' = paperdspl_comp_yreff_`type' , paperhire_comp_yreff_`type'
  mat drop paperdspl_comp_yreff_`type' paperhire_comp_yreff_`type' addon_dspl_`type' addon_hire_`type'
  mat coleq paper_comp_yreff_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_comp_yreff, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_paper_`type', m(paper_main_dspl_`type') ifc(clogit_balcadv clogit_indexp clogit_tarf clogit_reffpen clogit_paper clogit_noyreff)
  }
est2tex paper_main_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subshire_paper_`type', m(paper_main_hire_`type') ifc(clogit_balcadv clogit_indexp clogit_tarf clogit_reffpen clogit_paper clogit_noyreff)
  }
est2tex paper_main_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e r {
  matorder subsdspl_paper_`type', m(paper_fststg_dspl_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  matorder subshire_paper_`type', m(paper_fststg_hire_`type') ifc(first_indexp first_tarfoutp first_reffpen)
  if "`type'"~="e" & "`type'"~="r"  matorder paper_fststg_dspl_`type', m(paper_fststg_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat paper_fststg_dspl_`type' = paper_fststg_dspl_`type'[1..3,.] \ paper_fststg_dspl_`type'[4..10,.]*1000000000000 \ paper_fststg_dspl_`type'[11...,.]
  if "`type'"~="e" & "`type'"~="r"  matorder paper_fststg_hire_`type', m(paper_fststg_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"~="e" & "`type'"~="r"  mat paper_fststg_hire_`type' = paper_fststg_hire_`type'[1..3,.] \ paper_fststg_hire_`type'[4..10,.]*1000000000000 \ paper_fststg_hire_`type'[11...,.]
  mat paper_fststg_`type' = paper_fststg_dspl_`type' , paper_fststg_hire_`type'
  mat drop paper_fststg_dspl_`type' paper_fststg_hire_`type'
  mat coleq paper_fststg_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_fststg, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_paper_`type', m(paper_iv_dspl_`type') ifc(clogit_paper xt xtiv)
  matorder subshire_paper_`type', m(paper_iv_hire_`type') ifc(clogit_paper xt xtiv)
  if "`type'"~="e"  matorder paper_iv_dspl_`type', m(paper_iv_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder paper_iv_hire_`type', m(paper_iv_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat paper_iv_`type' = paper_iv_dspl_`type' , paper_iv_hire_`type'
  mat drop paper_iv_dspl_`type' paper_iv_hire_`type'
  mat coleq paper_iv_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_iv, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_paper_`type', m(paper_ivifclgt_dspl_`type') ifc(clogit_paper xt_ifclogit xtiv_ifclogit)
  matorder subshire_paper_`type', m(paper_ivifclgt_hire_`type') ifc(clogit_paper xt_ifclogit xtiv_ifclogit)
  if "`type'"~="e"  matorder paper_ivifclgt_dspl_`type', m(paper_ivifclgt_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder paper_ivifclgt_hire_`type', m(paper_ivifclgt_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat paper_ivifclgt_`type' = paper_ivifclgt_dspl_`type' , paper_ivifclgt_hire_`type'
  mat drop paper_ivifclgt_dspl_`type' paper_ivifclgt_hire_`type'
  mat coleq paper_ivifclgt_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_ivifclgt, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_paper_`type', m(base_logit_dspl_`type') ifc(clogit_paper logit_ifclogit logit)
  matorder subshire_paper_`type', m(base_logit_hire_`type') ifc(clogit_paper logit_ifclogit logit)
  if "`type'"~="e"  matorder base_logit_dspl_`type', m(base_logit_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder base_logit_hire_`type', m(base_logit_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen)
  mat base_logit_`type' = base_logit_dspl_`type' , base_logit_hire_`type'
  mat drop base_logit_dspl_`type' base_logit_hire_`type'
  mat coleq base_logit_`type' = dspl dspl dspl hire hire hire
  }
est2tex base_logit, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(paper_logit_dspl_`type') ifc(clogit_all logit_all_ifclogit logit_all)
  matorder natlsubs_hire_`type', m(paper_logit_hire_`type') ifc(clogit_all logit_all_ifclogit logit_all)
  if "`type'"~="e"  matorder paper_logit_dspl_`type', m(paper_logit_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"~="e"  matorder paper_logit_hire_`type', m(paper_logit_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat paper_logit_`type' = paper_logit_dspl_`type' , paper_logit_hire_`type'
  mat drop paper_logit_dspl_`type' paper_logit_hire_`type'
  mat coleq paper_logit_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_logit, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder subsdspl_paper_`type', m(base_robst_dspl_`type') ifc(clogit_paper clogit_indyoung clogit_indprim clogit_indcoll clogit_secfe clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder base_robst_dspl_`type', m(base_robst_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex base_robst_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subshire_paper_`type', m(base_robst_hire_`type') ifc(clogit_paper clogit_indyoung clogit_indprim clogit_indcoll clogit_secfe clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder base_robst_hire_`type', m(base_robst_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex base_robst_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(paper_robst_dspl_`type') ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indsubs clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder paper_robst_dspl_`type', m(paper_robst_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex paper_robst_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_hire_`type', m(paper_robst_hire_`type') ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indsubs clogit_indprown clogit_indoutsrc)
  if "`type'"~="e"  matorder paper_robst_hire_`type', m(paper_robst_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen subs_indprown_pis occ_indoutsrc)
  }
est2tex paper_robst_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder subsdspl_paper_`type', m(paper_frmlnlp_dspl_`type') ifc(clogit_paper clogit_ifpia clogit_lnlp)
  matorder subshire_paper_`type', m(paper_frmlnlp_hire_`type') ifc(clogit_paper clogit_ifpia clogit_lnlp)
  if "`type'"~="e"  matorder paper_frmlnlp_dspl_`type', m(paper_frmlnlp_dspl_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  if "`type'"~="e"  matorder paper_frmlnlp_hire_`type', m(paper_frmlnlp_hire_`type') over ifr(subs_balcadv firm_indexp subs_tarfoutp subs_tarfintm subs_reffpen firm_lnlp)
  mat paper_frmlnlp_`type' = paper_frmlnlp_dspl_`type' , paper_frmlnlp_hire_`type'
  mat drop paper_frmlnlp_dspl_`type' paper_frmlnlp_hire_`type'
  mat coleq paper_frmlnlp_`type' = dspl dspl dspl hire hire hire
  }
est2tex paper_frmlnlp, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

// RAIS MAIN NATIONAL TABLES

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(main_natlsubs_dspl_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_hire_`type', m(main_natlsubs_hire_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlsubs_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(comp_natlsubs_dspl_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_dspl_`type', m(comp_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(comp_natlsubs_hire_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_hire_`type', m(comp_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat comp_natlsubs_`type' = comp_natlsubs_dspl_`type' , comp_natlsubs_hire_`type'
  mat coleq comp_natlsubs_`type' = dspl dspl hire hire
  mat drop comp_natlsubs_dspl_`type' comp_natlsubs_hire_`type'
  }
est2tex comp_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(comp_natlsubs_dsplyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_dsplyreff_`type', m(comp_natlsubs_dsplyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  matorder natlsubs_hire_`type', m(comp_natlsubs_hireyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlsubs_hireyreff_`type', m(comp_natlsubs_hireyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  mat comp_natlsubs_yreff_`type' = comp_natlsubs_dsplyreff_`type' , comp_natlsubs_hireyreff_`type'
  mat coleq comp_natlsubs_yreff_`type' = dspl dspl hire hire
  mat drop comp_natlsubs_dsplyreff_`type' comp_natlsubs_hireyreff_`type'
  }
est2tex comp_natlsubs_yreff, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

// RAIS ROBUSTNESS CHECKS NATIONAL TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(logitplus_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder logitplus_natlsubs_dspl_`type', m(logitplus_natlsubs_dspl_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(logitplus_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder logitplus_natlsubs_hire_`type', m(logitplus_natlsubs_hire_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_natlsubs_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(eduprv_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder eduprv_natlsubs_dspl_`type', m(eduprv_natlsubs_dspl_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlsubs_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(eduprv_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder eduprv_natlsubs_hire_`type', m(eduprv_natlsubs_hire_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlsubs_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

// RAIS IV NATIONAL TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_`type', m(iv_natlsubs_dspl_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlsubs_dspl_`type' = natlsubs_dspl_`type'
  matorder iv_natlsubs_dspl_`type', m(iv_natlsubs_dspl_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_`type', m(iv_natlsubs_hire_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlsubs_hire_`type' = natlsubs_hire_`type'
  matorder iv_natlsubs_hire_`type', m(iv_natlsubs_hire_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  mat iv_natlsubs_`type' = iv_natlsubs_dspl_`type' , iv_natlsubs_hire_`type'
  matrix coleq iv_natlsubs_`type' = dspl dspl hire hire
  }
est2tex iv_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e r {  // note: worker-level variables suppressed
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_iv1st_`type', m(iv1stsec_natlsubs_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlsubs_dspl_`type' = natlsubs_dspl_iv1st_`type'
  matorder iv1stsec_natlsubs_dspl_`type', m(iv1stsec_natlsubs_dspl_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_iv1st_`type', m(iv1stsec_natlsubs_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlsubs_hire_`type' = natlsubs_hire_iv1st_`type'
  matorder iv1stsec_natlsubs_hire_`type', m(iv1stsec_natlsubs_hire_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  mat iv1stsec_natlsubs_`type' = iv1stsec_natlsubs_dspl_`type' , iv1stsec_natlsubs_hire_`type'
  matrix coleq iv1stsec_natlsubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stsec_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_dspl_iv1st_`type', m(iv1stfrm_natlsubs_dspl_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlsubs_dspl_`type' = iv1stfrm_natlsubs_dspl_`type'[1..7,.]*1000000000 \ iv1stfrm_natlsubs_dspl_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlsubs_dspl_`type' = natlsubs_dspl_iv1st_`type'
  matorder iv1stfrm_natlsubs_dspl_`type', m(iv1stfrm_natlsubs_dspl_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  if "`type'"=="b" | "`type'"=="se"  matorder natlsubs_hire_iv1st_`type', m(iv1stfrm_natlsubs_hire_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlsubs_hire_`type' = iv1stfrm_natlsubs_hire_`type'[1..7,.]*1000000000 \ iv1stfrm_natlsubs_hire_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlsubs_hire_`type' = natlsubs_hire_iv1st_`type'
  matorder iv1stfrm_natlsubs_hire_`type', m(iv1stfrm_natlsubs_hire_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  mat iv1stfrm_natlsubs_`type' = iv1stfrm_natlsubs_dspl_`type' , iv1stfrm_natlsubs_hire_`type'
  matrix coleq iv1stfrm_natlsubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stfrm_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(xtivreg_natlsubs_dspl_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlsubs_dspl_`type', m(xtivreg_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(xtivreg_natlsubs_hire_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlsubs_hire_`type', m(xtivreg_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_natlsubs_`type' = xtivreg_natlsubs_dspl_`type' , xtivreg_natlsubs_hire_`type'
  mat coleq xtivreg_natlsubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_natlsubs_dspl_`type' xtivreg_natlsubs_hire_`type'
  }
est2tex xtivreg_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlsubs_dspl_`type', m(xtivreg_nointr_natlsubs_dspl_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlsubs_dspl_`type', m(xtivreg_nointr_natlsubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder natlsubs_hire_`type', m(xtivreg_nointr_natlsubs_hire_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlsubs_hire_`type', m(xtivreg_nointr_natlsubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_nointr_natlsubs_`type' = xtivreg_nointr_natlsubs_dspl_`type' , xtivreg_nointr_natlsubs_hire_`type'
  mat coleq xtivreg_nointr_natlsubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_nointr_natlsubs_dspl_`type' xtivreg_nointr_natlsubs_hire_`type'
  }
est2tex xtivreg_nointr_natlsubs, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

// RAIS MAIN METRO TABLES

foreach type in b se e {
  matorder metrosubs_dspl_`type', m(main_metrosubs_dspl_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_metrosubs_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrosubs_hire_`type', m(main_metrosubs_hire_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_metrosubs_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrosubs_dspl_`type', m(comp_metrosubs_dspl_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrosubs_dspl_`type', m(comp_metrosubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder metrosubs_hire_`type', m(comp_metrosubs_hire_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrosubs_hire_`type', m(comp_metrosubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat comp_metrosubs_`type' = comp_metrosubs_dspl_`type' , comp_metrosubs_hire_`type'
  mat coleq comp_metrosubs_`type' = dspl dspl hire hire
  mat drop comp_metrosubs_dspl_`type' comp_metrosubs_hire_`type'
  }
est2tex comp_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e {
  matorder metrosubs_dspl_`type', m(comp_metrosubs_dsplyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrosubs_dsplyreff_`type', m(comp_metrosubs_dsplyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  matorder metrosubs_hire_`type', m(comp_metrosubs_hireyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrosubs_hireyreff_`type', m(comp_metrosubs_hireyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  mat comp_metrosubs_yreff_`type' = comp_metrosubs_dsplyreff_`type' , comp_metrosubs_hireyreff_`type'
  mat coleq comp_metrosubs_yreff_`type' = dspl dspl hire hire
  mat drop comp_metrosubs_dsplyreff_`type' comp_metrosubs_hireyreff_`type'
  }
est2tex comp_metrosubs_yreff, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

// RAIS ROBUSTNESS CHECKS METRO TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_dspl_`type', m(logitplus_metrosubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_metrosubs_dspl_`type' = metrosubs_dspl_`type'
  matorder logitplus_metrosubs_dspl_`type', m(logitplus_metrosubs_dspl_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_metrosubs_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_hire_`type', m(logitplus_metrosubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat logitplus_metrosubs_hire_`type' = metrosubs_hire_`type'
  matorder logitplus_metrosubs_hire_`type', m(logitplus_metrosubs_hire_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_indsubs clogit_allyrs)
  }
est2tex logitplus_metrosubs_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_dspl_`type', m(eduprv_metrosubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_metrosubs_dspl_`type' = metrosubs_dspl_`type'
  matorder eduprv_metrosubs_dspl_`type', m(eduprv_metrosubs_dspl_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_metrosubs_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_hire_`type', m(eduprv_metrosubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_tarfoutp)
  if "`type'"=="e"  mat eduprv_metrosubs_hire_`type' = metrosubs_hire_`type'
  matorder eduprv_metrosubs_hire_`type', m(eduprv_metrosubs_hire_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_metrosubs_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

// RAIS IV METRO TABLES

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_dspl_`type', m(iv_metrosubs_dspl_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_metrosubs_dspl_`type' = metrosubs_dspl_`type'
  matorder iv_metrosubs_dspl_`type', m(iv_metrosubs_dspl_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_hire_`type', m(iv_metrosubs_hire_`type') over ifr(prd_subs_tarfoutp res_subs_tarfoutp prd_subs_tarfintm res_subs_tarfintm prd_subs_reffpen res_subs_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_metrosubs_hire_`type' = metrosubs_hire_`type'
  matorder iv_metrosubs_hire_`type', m(iv_metrosubs_hire_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  mat iv_metrosubs_`type' = iv_metrosubs_dspl_`type' , iv_metrosubs_hire_`type'
  matrix coleq iv_metrosubs_`type' = dspl dspl hire hire
  }
est2tex iv_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e r {  // note: worker-level variables suppressed
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_dspl_iv1st_`type', m(iv1stsec_metrosubs_dspl_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_metrosubs_dspl_`type' = metrosubs_dspl_iv1st_`type'
  matorder iv1stsec_metrosubs_dspl_`type', m(iv1stsec_metrosubs_dspl_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_hire_iv1st_`type', m(iv1stsec_metrosubs_hire_`type') over ifr(subs_dollar subs_ppieu subs_ppinam subs_balcadv subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_metrosubs_hire_`type' = metrosubs_hire_iv1st_`type'
  matorder iv1stsec_metrosubs_hire_`type', m(iv1stsec_metrosubs_hire_`type') over ifc(subs_tarfoutp subs_tarfintm subs_reffpen)
  mat iv1stsec_metrosubs_`type' = iv1stsec_metrosubs_dspl_`type' , iv1stsec_metrosubs_hire_`type'
  matrix coleq iv1stsec_metrosubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stsec_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_dspl_iv1st_`type', m(iv1stfrm_metrosubs_dspl_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_metrosubs_dspl_`type' = iv1stfrm_metrosubs_dspl_`type'[1..7,.]*1000000000 \ iv1stfrm_metrosubs_dspl_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_metrosubs_dspl_`type' = metrosubs_dspl_iv1st_`type'
  matorder iv1stfrm_metrosubs_dspl_`type', m(iv1stfrm_metrosubs_dspl_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  if "`type'"=="b" | "`type'"=="se"  matorder metrosubs_hire_iv1st_`type', m(iv1stfrm_metrosubs_hire_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU subs_balcadv subs_balcadv_tarf subs_fdiflw subs_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_metrosubs_hire_`type' = iv1stfrm_metrosubs_hire_`type'[1..7,.]*1000000000 \ iv1stfrm_metrosubs_hire_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_metrosubs_hire_`type' = metrosubs_hire_iv1st_`type'
  matorder iv1stfrm_metrosubs_hire_`type', m(iv1stfrm_metrosubs_hire_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  mat iv1stfrm_metrosubs_`type' = iv1stfrm_metrosubs_dspl_`type' , iv1stfrm_metrosubs_hire_`type'
  matrix coleq iv1stfrm_metrosubs_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stfrm_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder metrosubs_dspl_`type', m(xtivreg_metrosubs_dspl_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_metrosubs_dspl_`type', m(xtivreg_metrosubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder metrosubs_hire_`type', m(xtivreg_metrosubs_hire_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_metrosubs_hire_`type', m(xtivreg_metrosubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_metrosubs_`type' = xtivreg_metrosubs_dspl_`type' , xtivreg_metrosubs_hire_`type'
  mat coleq xtivreg_metrosubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_metrosubs_dspl_`type' xtivreg_metrosubs_hire_`type'
  }
est2tex xtivreg_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder metrosubs_dspl_`type', m(xtivreg_nointr_metrosubs_dspl_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_metrosubs_dspl_`type', m(xtivreg_nointr_metrosubs_dspl_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  matorder metrosubs_hire_`type', m(xtivreg_nointr_metrosubs_hire_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_metrosubs_hire_`type', m(xtivreg_nointr_metrosubs_hire_`type') over ifr(subs_balcadv subs_balcadv_tarf firm_indexp firm_indexp_tarf subs_balcadv_indexp subs_balcadv_indexp_tarf subs_tarfoutp subs_tarfintm subs_reffpen)
  mat xtivreg_nointr_metrosubs_`type' = xtivreg_nointr_metrosubs_dspl_`type' , xtivreg_nointr_metrosubs_hire_`type'
  mat coleq xtivreg_nointr_metrosubs_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_nointr_metrosubs_dspl_`type' xtivreg_nointr_metrosubs_hire_`type'
  }
est2tex xtivreg_nointr_metrosubs, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)


// LABOR PRODUCTIVITY, NATIONAL AND METROPOLITAN TABLES

foreach lpvar in "lnlp" "lnlplvl" {
est2extlbl, addto(natlsubs_`lpvar') intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace dropall
est2extlbl, addto(metrosubs_`lpvar') retain p(brazrloc/tex/v4/metromale-prime/reg) replace dropall
foreach type in b se e {
  matload subs_`lpvar'_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.) dropall
  mat rename subs_`lpvar'_`type' natlsubs_`lpvar'_`type'
  matload subs_`lpvar'_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.) dropall
  mat rename subs_`lpvar'_`type' metrosubs_`lpvar'_`type'
  }

foreach type in b se e {
  matorder natlsubs_`lpvar'_`type', m(natlsubs_`lpvar'_`type') over ifc(xtreg_balcadv xtreg_indexp xtreg_tarf xtreg_reffpen xtreg_nointrct xtivreg)
  matorder metrosubs_`lpvar'_`type', m(metrosubs_`lpvar'_`type') over ifc(xtreg_balcadv xtreg_indexp xtreg_tarf xtreg_reffpen xtreg_nointrct xtivreg)
  }
est2tex natlsubs_`lpvar', fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall
est2tex metrosubs_`lpvar', fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall
}


// RAIS-NBER NATIONAL AND METROPOLITAN TABLES, FE AND FE-IV

est2extlbl, addto(nber_natlsubs_empl) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace dropall
est2extlbl, addto(nber_metrosubs_empl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace dropall
foreach type in b se e {
  matload subs_empl_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.) dropall
  mat rename subs_empl_`type' nber_natlsubs_empl_`type'
  matload subs_empl_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.) dropall
  mat rename subs_empl_`type' nber_metrosubs_empl_`type'
  }

foreach type in b se e {
  matorder nber_natlsubs_empl_`type', m(nber_natlsubs_empl_`type') over ifc(xtreg_aspme xtreg_nofocal xtreg_indexp xtreg_nber_focal xtivreg_nber_noexpiv)
  matorder nber_metrosubs_empl_`type', m(nber_metrosubs_empl_`type') over ifc(xtreg_aspme xtreg_nofocal xtreg_indexp xtreg_nber_focal xtivreg_nber_noexpiv)
  }
est2tex nber_natlsubs_empl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall digits(2)
est2tex nber_metrosubs_empl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall digits(2)

// RAIS-NBER NATIONAL AND METROPOLITAN SUMMARY STATISTICS

est2extlbl, addto(summ_empl) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/reg) replace dropall
matload summ_empl_tbl, p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.) dropall
mat rename summ_empl_tbl natl_empl_tbl
matorder natl_empl_tbl, m(natl_empl_tbl) over ifc(mean sd)
matload summ_empl_tbl, p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.) dropall
mat rename summ_empl_tbl metro_empl_tbl
matorder metro_empl_tbl, m(metro_empl_tbl) over ifc(mean sd)
mat summ_empl_tbl = natl_empl_tbl , metro_empl_tbl
mat drop natl_empl_tbl metro_empl_tbl
mat coleq summ_empl_tbl = natl natl metro metro
mat colnames summ_empl_tbl = mean sd mean sd
est2tex summ_empl, ready replace p(brazrloc/tex/v4/reg) fancy digits(3) dropall extracols(2)

* Clean Up
capture mat drop summ_tbl
foreach type in b se e tbl {
  capture mat drop comp_natlsubs_`type'
  capture mat drop comp_natlsubs_yreff_`type'
  capture mat drop main_natlsubs_dspl_`type'
  capture mat drop main_natlsubs_hire_`type'
  capture mat drop logitplus_natlsubs_dspl_`type'
  capture mat drop logitplus_natlsubs_hire_`type'
  capture mat drop eduprv_natlsubs_dspl_`type'
  capture mat drop eduprv_natlsubs_hire_`type'
  capture mat drop iv_natlsubs_`type'
  capture mat drop xtivreg_natlsubs_`type'
  capture mat drop xtivreg_nointr_natlsubs_`type'
  capture mat drop comp_metrosubs_`type'
  capture mat drop comp_metrosubs_yreff_`type'
  capture mat drop main_metrosubs_dspl_`type'
  capture mat drop main_metrosubs_hire_`type'
  capture mat drop logitplus_metrosubs_dspl_`type'
  capture mat drop logitplus_metrosubs_hire_`type'
  capture mat drop eduprv_metrosubs_dspl_`type'
  capture mat drop eduprv_metrosubs_hire_`type'
  capture mat drop iv_metrosubs_`type'
  capture mat drop xtivreg_metrosubs_`type'
  capture mat drop xtivreg_nointr_metrosubs_`type'
  capture mat drop nber_natlsubs_empl_`type'
  capture mat drop nber_metrosubs_empl_`type'
  capture mat drop summ_empl_`type'
  }
foreach type in b se e r tbl {
  capture mat drop iv1stsec_natlsubs_`type'
  capture mat drop iv1stfrm_natlsubs_`type'
  capture mat drop iv1stsec_metrosubs_`type'
  capture mat drop iv1stfrm_metrosubs_`type'
  }
clear


// CNAE

* Load variable names and save for est2tex
est2extlbl, addto(comp_natlcnae) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(comp_natlcnae_yreff) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_natlcnae_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_natlcnae_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(logitplus_natlcnae_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(logitplus_natlcnae_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(eduprv_natlcnae_dspl) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(eduprv_natlcnae_hire) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv_natlcnae) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv1stsec_natlcnae) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(iv1stfrm_natlcnae) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(xtivreg_natlcnae) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(xtivreg_nointr_natlcnae) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(comp_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(comp_metrocnae_yreff) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(main_metrocnae_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(main_metrocnae_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(logitplus_metrocnae_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(logitplus_metrocnae_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(eduprv_metrocnae_dspl) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(eduprv_metrocnae_hire) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv1stsec_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(iv1stfrm_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(xtivreg_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(xtivreg_nointr_metrocnae) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
clear

* LOAD MATRICES *

foreach margin in dspl hire {
  foreach type in b se e {
    drop _all
    matload cnae_`margin'_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.)
    matrix rename cnae_`margin'_`type' metrocnae_`margin'_`type'
    drop _all
    matload cnae_`margin'_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    matrix rename cnae_`margin'_`type' natlcnae_`margin'_`type'
    }
  foreach type in b se e r {
    drop _all
    matload cnae_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/metromale-prime) over missing(.)
    matrix rename cnae_`margin'_iv1st_`type' metrocnae_`margin'_iv1st_`type'
    drop _all
    matload cnae_`margin'_iv1st_`type', p(brazrloc/estmat/v4/reg/natl-maleprime) over missing(.)
    matrix rename cnae_`margin'_iv1st_`type' natlcnae_`margin'_iv1st_`type'
    }
  }

// RAIS MAIN NATIONAL TABLES, CNAE

foreach type in b se e {
  matorder natlcnae_dspl_`type', m(main_natlcnae_dspl_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlcnae_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlcnae_hire_`type', m(main_natlcnae_hire_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_natlcnae_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlcnae_dspl_`type', m(comp_natlcnae_dspl_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlcnae_dspl_`type', m(comp_natlcnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder natlcnae_hire_`type', m(comp_natlcnae_hire_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlcnae_hire_`type', m(comp_natlcnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat comp_natlcnae_`type' = comp_natlcnae_dspl_`type' , comp_natlcnae_hire_`type'
  mat coleq comp_natlcnae_`type' = dspl dspl hire hire
  mat drop comp_natlcnae_dspl_`type' comp_natlcnae_hire_`type'
  }
est2tex comp_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e {
  matorder natlcnae_dspl_`type', m(comp_natlcnae_dsplyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlcnae_dsplyreff_`type', m(comp_natlcnae_dsplyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  matorder natlcnae_hire_`type', m(comp_natlcnae_hireyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_natlcnae_hireyreff_`type', m(comp_natlcnae_hireyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  mat comp_natlcnae_yreff_`type' = comp_natlcnae_dsplyreff_`type' , comp_natlcnae_hireyreff_`type'
  mat coleq comp_natlcnae_yreff_`type' = dspl dspl hire hire
  mat drop comp_natlcnae_dsplyreff_`type' comp_natlcnae_hireyreff_`type'
  }
est2tex comp_natlcnae_yreff, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

// RAIS ROBUSTNESS CHECKS NATIONAL TABLES, CNAE

foreach type in b se e {  // note: _indsubs not converging
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_dspl_`type', m(logitplus_natlcnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlcnae_dspl_`type' = natlcnae_dspl_`type'
  matorder logitplus_natlcnae_dspl_`type', m(logitplus_natlcnae_dspl_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_balcadv_tarf clogit_allyrs)
  }
est2tex logitplus_natlcnae_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {  // note: _indsubs not converging
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_hire_`type', m(logitplus_natlcnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat logitplus_natlcnae_hire_`type' = natlcnae_hire_`type'
  matorder logitplus_natlcnae_hire_`type', m(logitplus_natlcnae_hire_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_balcadv_tarf clogit_allyrs)
  }
est2tex logitplus_natlcnae_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_dspl_`type', m(eduprv_natlcnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlcnae_dspl_`type' = natlcnae_dspl_`type'
  matorder eduprv_natlcnae_dspl_`type', m(eduprv_natlcnae_dspl_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlcnae_dspl, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_hire_`type', m(eduprv_natlcnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat eduprv_natlcnae_hire_`type' = natlcnae_hire_`type'
  matorder eduprv_natlcnae_hire_`type', m(eduprv_natlcnae_hire_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_natlcnae_hire, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

// RAIS IV NATIONAL TABLES, CNAE

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_dspl_`type', m(iv_natlcnae_dspl_`type') over ifr(prd_cnae_tarfoutp res_cnae_tarfoutp prd_cnae_tarfintm res_cnae_tarfintm prd_cnae_reffpen res_cnae_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlcnae_dspl_`type' = natlcnae_dspl_`type'
  matorder iv_natlcnae_dspl_`type', m(iv_natlcnae_dspl_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_hire_`type', m(iv_natlcnae_hire_`type') over ifr(prd_cnae_tarfoutp res_cnae_tarfoutp prd_cnae_tarfintm res_cnae_tarfintm prd_cnae_reffpen res_cnae_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_natlcnae_hire_`type' = natlcnae_hire_`type'
  matorder iv_natlcnae_hire_`type', m(iv_natlcnae_hire_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  mat iv_natlcnae_`type' = iv_natlcnae_dspl_`type' , iv_natlcnae_hire_`type'
  matrix coleq iv_natlcnae_`type' = dspl dspl hire hire
  }
est2tex iv_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e r {  // note: worker-level variables suppressed
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_dspl_iv1st_`type', m(iv1stsec_natlcnae_dspl_`type') over ifr(cnae_dollar cnae_ppieu cnae_ppinam cnae_balcadv cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlcnae_dspl_`type' = natlcnae_dspl_iv1st_`type'
  matorder iv1stsec_natlcnae_dspl_`type', m(iv1stsec_natlcnae_dspl_`type') over ifc(cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_hire_iv1st_`type', m(iv1stsec_natlcnae_hire_`type') over ifr(cnae_dollar cnae_ppieu cnae_ppinam cnae_balcadv cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_natlcnae_hire_`type' = natlcnae_hire_iv1st_`type'
  matorder iv1stsec_natlcnae_hire_`type', m(iv1stsec_natlcnae_hire_`type') over ifc(cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat iv1stsec_natlcnae_`type' = iv1stsec_natlcnae_dspl_`type' , iv1stsec_natlcnae_hire_`type'
  matrix coleq iv1stsec_natlcnae_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stsec_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_dspl_iv1st_`type', m(iv1stfrm_natlcnae_dspl_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU cnae_balcadv cnae_balcadv_tarf cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlcnae_dspl_`type' = iv1stfrm_natlcnae_dspl_`type'[1..7,.]*1000000000 \ iv1stfrm_natlcnae_dspl_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlcnae_dspl_`type' = natlcnae_dspl_iv1st_`type'
  matorder iv1stfrm_natlcnae_dspl_`type', m(iv1stfrm_natlcnae_dspl_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  if "`type'"=="b" | "`type'"=="se"  matorder natlcnae_hire_iv1st_`type', m(iv1stfrm_natlcnae_hire_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU cnae_balcadv cnae_balcadv_tarf cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_natlcnae_hire_`type' = iv1stfrm_natlcnae_hire_`type'[1..7,.]*1000000000 \ iv1stfrm_natlcnae_hire_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_natlcnae_hire_`type' = natlcnae_hire_iv1st_`type'
  matorder iv1stfrm_natlcnae_hire_`type', m(iv1stfrm_natlcnae_hire_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  mat iv1stfrm_natlcnae_`type' = iv1stfrm_natlcnae_dspl_`type' , iv1stfrm_natlcnae_hire_`type'
  matrix coleq iv1stfrm_natlcnae_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stfrm_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlcnae_dspl_`type', m(xtivreg_natlcnae_dspl_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlcnae_dspl_`type', m(xtivreg_natlcnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder natlcnae_hire_`type', m(xtivreg_natlcnae_hire_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_natlcnae_hire_`type', m(xtivreg_natlcnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat xtivreg_natlcnae_`type' = xtivreg_natlcnae_dspl_`type' , xtivreg_natlcnae_hire_`type'
  mat coleq xtivreg_natlcnae_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_natlcnae_dspl_`type' xtivreg_natlcnae_hire_`type'
  }
est2tex xtivreg_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder natlcnae_dspl_`type', m(xtivreg_nointr_natlcnae_dspl_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlcnae_dspl_`type', m(xtivreg_nointr_natlcnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder natlcnae_hire_`type', m(xtivreg_nointr_natlcnae_hire_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_natlcnae_hire_`type', m(xtivreg_nointr_natlcnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat xtivreg_nointr_natlcnae_`type' = xtivreg_nointr_natlcnae_dspl_`type' , xtivreg_nointr_natlcnae_hire_`type'
  mat coleq xtivreg_nointr_natlcnae_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_nointr_natlcnae_dspl_`type' xtivreg_nointr_natlcnae_hire_`type'
  }
est2tex xtivreg_nointr_natlcnae, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

// RAIS MAIN METRO TABLES, CNAE

foreach type in b se e {
  matorder metrocnae_dspl_`type', m(main_metrocnae_dspl_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_metrocnae_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrocnae_hire_`type', m(main_metrocnae_hire_`type') over ifc(clogit_balcadv clogit_balcadv_tarf clogit_indexp clogit_indexp_tarf clogit_focal)
  }
est2tex main_metrocnae_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrocnae_dspl_`type', m(comp_metrocnae_dspl_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrocnae_dspl_`type', m(comp_metrocnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder metrocnae_hire_`type', m(comp_metrocnae_hire_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrocnae_hire_`type', m(comp_metrocnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat comp_metrocnae_`type' = comp_metrocnae_dspl_`type' , comp_metrocnae_hire_`type'
  mat coleq comp_metrocnae_`type' = dspl dspl hire hire
  mat drop comp_metrocnae_dspl_`type' comp_metrocnae_hire_`type'
  }
est2tex comp_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e {
  matorder metrocnae_dspl_`type', m(comp_metrocnae_dsplyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrocnae_dsplyreff_`type', m(comp_metrocnae_dsplyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  matorder metrocnae_hire_`type', m(comp_metrocnae_hireyreff_`type') over ifc(clogit_focal clogit_all)
  if "`type'"=="b" | "`type'"=="se"  matorder comp_metrocnae_hireyreff_`type', m(comp_metrocnae_hireyreff_`type') over ifr(indyr_1 indyr_2 indyr_3 indyr_4 indyr_5 indyr_6 indyr_7 indyr_8 indyr_9 indyr_10 indyr_11 indyr_12 indyr_13)
  mat comp_metrocnae_yreff_`type' = comp_metrocnae_dsplyreff_`type' , comp_metrocnae_hireyreff_`type'
  mat coleq comp_metrocnae_yreff_`type' = dspl dspl hire hire
  mat drop comp_metrocnae_dsplyreff_`type' comp_metrocnae_hireyreff_`type'
  }
est2tex comp_metrocnae_yreff, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

// RAIS ROBUSTNESS CHECKS METRO TABLES, CNAE

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_dspl_`type', m(logitplus_metrocnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat logitplus_metrocnae_dspl_`type' = metrocnae_dspl_`type'
  matorder logitplus_metrocnae_dspl_`type', m(logitplus_metrocnae_dspl_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_balcadv_tarf clogit_allyrs)
  }
est2tex logitplus_metrocnae_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_hire_`type', m(logitplus_metrocnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat logitplus_metrocnae_hire_`type' = metrocnae_hire_`type'
  matorder logitplus_metrocnae_hire_`type', m(logitplus_metrocnae_hire_`type') over ifc(clogit_focal logit_focal_ifclogit logit_focal clogit_balcadv_tarf clogit_allyrs)
  }
est2tex logitplus_metrocnae_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_dspl_`type', m(eduprv_metrocnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat eduprv_metrocnae_dspl_`type' = metrocnae_dspl_`type'
  matorder eduprv_metrocnae_dspl_`type', m(eduprv_metrocnae_dspl_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_metrocnae_dspl, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_hire_`type', m(eduprv_metrocnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_tarfoutp)
  if "`type'"=="e"  mat eduprv_metrocnae_hire_`type' = metrocnae_hire_`type'
  matorder eduprv_metrocnae_hire_`type', m(eduprv_metrocnae_hire_`type') over ifc(clogit_focal clogit_indprim clogit_indhigh clogit_indcoll clogit_indprown clogit_indoutsrc)
  }
est2tex eduprv_metrocnae_hire, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

// RAIS IV METRO TABLES, CNAE

foreach type in b se e {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_dspl_`type', m(iv_metrocnae_dspl_`type') over ifr(prd_cnae_tarfoutp res_cnae_tarfoutp prd_cnae_tarfintm res_cnae_tarfintm prd_cnae_reffpen res_cnae_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_metrocnae_dspl_`type' = metrocnae_dspl_`type'
  matorder iv_metrocnae_dspl_`type', m(iv_metrocnae_dspl_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_hire_`type', m(iv_metrocnae_hire_`type') over ifr(prd_cnae_tarfoutp res_cnae_tarfoutp prd_cnae_tarfintm res_cnae_tarfintm prd_cnae_reffpen res_cnae_reffpen prd_indexp res_indexp)
  if "`type'"=="e"  mat iv_metrocnae_hire_`type' = metrocnae_hire_`type'
  matorder iv_metrocnae_hire_`type', m(iv_metrocnae_hire_`type') over ifc(clogit_iv_tarfetc clogit_iv_indexp)
  mat iv_metrocnae_`type' = iv_metrocnae_dspl_`type' , iv_metrocnae_hire_`type'
  matrix coleq iv_metrocnae_`type' = dspl dspl hire hire
  }
est2tex iv_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

foreach type in b se e r {  // note: worker-level variables suppressed
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_dspl_iv1st_`type', m(iv1stsec_metrocnae_dspl_`type') over ifr(cnae_dollar cnae_ppieu cnae_ppinam cnae_balcadv cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_metrocnae_dspl_`type' = metrocnae_dspl_iv1st_`type'
  matorder iv1stsec_metrocnae_dspl_`type', m(iv1stsec_metrocnae_dspl_`type') over ifc(cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_hire_iv1st_`type', m(iv1stsec_metrocnae_hire_`type') over ifr(cnae_dollar cnae_ppieu cnae_ppinam cnae_balcadv cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot firm_lnlp)
  if "`type'"=="e" | "`type'"=="r"   mat iv1stsec_metrocnae_hire_`type' = metrocnae_hire_iv1st_`type'
  matorder iv1stsec_metrocnae_hire_`type', m(iv1stsec_metrocnae_hire_`type') over ifc(cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat iv1stsec_metrocnae_`type' = iv1stsec_metrocnae_dspl_`type' , iv1stsec_metrocnae_hire_`type'
  matrix coleq iv1stsec_metrocnae_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stsec_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e r {
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_dspl_iv1st_`type', m(iv1stfrm_metrocnae_dspl_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU cnae_balcadv cnae_balcadv_tarf cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_metrocnae_dspl_`type' = iv1stfrm_metrocnae_dspl_`type'[1..7,.]*1000000000 \ iv1stfrm_metrocnae_dspl_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_metrocnae_dspl_`type' = metrocnae_dspl_iv1st_`type'
  matorder iv1stfrm_metrocnae_dspl_`type', m(iv1stfrm_metrocnae_dspl_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  if "`type'"=="b" | "`type'"=="se"  matorder metrocnae_hire_iv1st_`type', m(iv1stfrm_metrocnae_hire_`type') over ifr(imp_APD imp_CEE imp_LAC imp_NAM imp_ODV imp_OIN imp_WEU cnae_balcadv cnae_balcadv_tarf cnae_fdiflw cnae_herfsale plant_lnempl plant_indprim plant_indhigh plant_indwhittot)
  if "`type'"=="b" | "`type'"=="se"  mat iv1stfrm_metrocnae_hire_`type' = iv1stfrm_metrocnae_hire_`type'[1..7,.]*1000000000 \ iv1stfrm_metrocnae_hire_`type'[8...,.] 
  if "`type'"=="e" | "`type'"=="r"   mat iv1stfrm_metrocnae_hire_`type' = metrocnae_hire_iv1st_`type'
  matorder iv1stfrm_metrocnae_hire_`type', m(iv1stfrm_metrocnae_hire_`type') over ifc(firm_indexp firm_indexp_frmlvl firm_indexp_frmlvl_all)
  mat iv1stfrm_metrocnae_`type' = iv1stfrm_metrocnae_dspl_`type' , iv1stfrm_metrocnae_hire_`type'
  matrix coleq iv1stfrm_metrocnae_`type' = dspl dspl dspl hire hire hire
  }
est2tex iv1stfrm_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder metrocnae_dspl_`type', m(xtivreg_metrocnae_dspl_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_metrocnae_dspl_`type', m(xtivreg_metrocnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder metrocnae_hire_`type', m(xtivreg_metrocnae_hire_`type') over ifc(clogit_focal xtreg xtivreg)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_metrocnae_hire_`type', m(xtivreg_metrocnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat xtivreg_metrocnae_`type' = xtivreg_metrocnae_dspl_`type' , xtivreg_metrocnae_hire_`type'
  mat coleq xtivreg_metrocnae_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_metrocnae_dspl_`type' xtivreg_metrocnae_hire_`type'
  }
est2tex xtivreg_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

foreach type in b se e {
  matorder metrocnae_dspl_`type', m(xtivreg_nointr_metrocnae_dspl_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_metrocnae_dspl_`type', m(xtivreg_nointr_metrocnae_dspl_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  matorder metrocnae_hire_`type', m(xtivreg_nointr_metrocnae_hire_`type') over ifc(clogit_nointrct xtreg_nointrct xtivreg_nointrct)
  if "`type'"=="b" | "`type'"=="se"  matorder xtivreg_nointr_metrocnae_hire_`type', m(xtivreg_nointr_metrocnae_hire_`type') over ifr(cnae_balcadv cnae_balcadv_tarf firm_indexp firm_indexp_tarf cnae_balcadv_indexp cnae_balcadv_indexp_tarf cnae_tarfoutp cnae_tarfintm cnae_reffpen)
  mat xtivreg_nointr_metrocnae_`type' = xtivreg_nointr_metrocnae_dspl_`type' , xtivreg_nointr_metrocnae_hire_`type'
  mat coleq xtivreg_nointr_metrocnae_`type' = dspl dspl dpsl hire hire hire
  mat drop xtivreg_nointr_metrocnae_dspl_`type' xtivreg_nointr_metrocnae_hire_`type'
  }
est2tex xtivreg_nointr_metrocnae, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall extracols(3)

* Clean Up
foreach type in b se e tbl {
  capture mat drop comp_natlcnae_`type'
  capture mat drop comp_natlcnae_yreff_`type'
  capture mat drop main_natlcnae_dspl_`type'
  capture mat drop main_natlcnae_hire_`type'
  capture mat drop logitplus_natlcnae_dspl_`type'
  capture mat drop logitplus_natlcnae_hire_`type'
  capture mat drop eduprv_natlcnae_dspl_`type'
  capture mat drop eduprv_natlcnae_hire_`type'
  capture mat drop iv_natlcnae_`type'
  capture mat drop xtivreg_natlcnae_`type'
  capture mat drop xtivreg_nointr_natlcnae_`type'
  capture mat drop comp_metrocnae_`type'
  capture mat drop comp_metrocnae_yreff_`type'
  capture mat drop main_metrocnae_dspl_`type'
  capture mat drop main_metrocnae_hire_`type'
  capture mat drop logitplus_metrocnae_dspl_`type'
  capture mat drop logitplus_metrocnae_hire_`type'
  capture mat drop eduprv_metrocnae_dspl_`type'
  capture mat drop eduprv_metrocnae_hire_`type'
  capture mat drop iv_metrocnae_`type'
  capture mat drop xtivreg_metrocnae_`type'
  capture mat drop xtivreg_nointr_metrocnae_`type'
  }
foreach type in b se e r tbl {
  capture mat drop iv1stsec_natlcnae_`type'
  capture mat drop iv1stfrm_natlcnae_`type'
  capture mat drop iv1stsec_metrocnae_`type'
  capture mat drop iv1stfrm_metrocnae_`type'
  }
clear


// OVERVIEW TABLE ON SEPARATION AND ACCESSION REGRESSIONS

est2extlbl, addto(comp_clogit_focal) intex($root/brazrloc/%stata/rowlbl-brazrloc) path(brazrloc/tex/v4/reg) replace
foreach mat in natlsubs natlcnae metrosubs {
  capture matload comp_`mat'_tbl, p(brazrloc/tex/v4/natl-maleprime/reg) over missing(.) dropall
  capture matload comp_`mat'_tbl, p(brazrloc/tex/v4/metromale-prime/reg) over missing(.) dropall
  matorder comp_`mat'_tbl, m(comp_`mat'_tbl) ifc(dspl_clogit_focal hire_clogit_focal) over
  matname comp_`mat'_tbl `mat'_clogit_focal_dspl `mat'_clogit_focal_hire, columns(1..2) explicit
  }
mat comp_clogit_focal_tbl = comp_natlsubs_tbl , comp_natlcnae_tbl , comp_metrosubs_tbl
matorder comp_clogit_focal_tbl, m(comp_clogit_focal_tbl) ifc(natlsubs_clogit_focal_dspl natlcnae_clogit_focal_dspl metrosubs_clogit_focal_dspl natlsubs_clogit_focal_hire natlcnae_clogit_focal_hire metrosubs_clogit_focal_hire) over
mat drop comp_natlsubs_tbl comp_natlcnae_tbl comp_metrosubs_tbl
est2tex comp_clogit_focal, ready replace p(brazrloc/tex/v4/reg) fancy digits(3) extracols(3) level(90 95 99) mark(starse) dropall

* Clean up
mat drop comp_clogit_focal_tbl
clear


// ORDERED LOGIT REGRESSIONS

est2extlbl, addto(main_natlsubs_odur) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_natlcnae_odur) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(main_metrosubs_odur) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(main_metrocnae_odur) retain p(brazrloc/tex/v4/metromale-prime/reg) replace
est2extlbl, addto(comp_odur_focal) retain p(brazrloc/tex/v4/reg) replace
est2extlbl, addto(comp_odur_all) retain p(brazrloc/tex/v4/reg) replace
clear

* LOAD MATRICES *

foreach type in b se e {
  foreach loc in "natl-male" "metromale-" {
    foreach sec in subs cnae {
      local locnam = subinstr(substr("`loc'",1,5),"-","",.)
      matload `sec'_odur_`type', p(brazrloc/estmat/v4/reg/`loc'prime) over missing(.) dropall
      mat rename `sec'_odur_`type' `locnam'`sec'_odur_`type'
      }
    }
  }


* INDIVIDUAL TABLES *

foreach type in b se e {
  matorder natlsubs_odur_`type', m(main_natlsubs_odur_`type') over ifc(ologit_balcadv ologit_balcadv_tarf ologit_indexp ologit_indexp_tarf ologit_all)
  }
est2tex main_natlsubs_odur, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder natlcnae_odur_`type', m(main_natlcnae_odur_`type') over ifc(ologit_balcadv ologit_balcadv_tarf ologit_indexp ologit_indexp_tarf ologit_all)
  }
est2tex main_natlcnae_odur, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrosubs_odur_`type', m(main_metrosubs_odur_`type') over ifc(ologit_balcadv ologit_balcadv_tarf ologit_indexp ologit_indexp_tarf ologit_all)
  }
est2tex main_metrosubs_odur, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall

foreach type in b se e {
  matorder metrocnae_odur_`type', m(main_metrocnae_odur_`type') over ifc(ologit_balcadv ologit_balcadv_tarf ologit_indexp ologit_indexp_tarf ologit_all)
  }
est2tex main_metrocnae_odur, fancy p(brazrloc/tex/v4/metromale-prime/reg) replace level(90 95 99) mark(starse) dropall


* OVERVIEW TABLE *

foreach type in b se e {
  foreach loc in "natl-male" "metromale-" {
    foreach sec in subs cnae {
      local locnam = subinstr(substr("`loc'",1,5),"-","",.)
      matorder `locnam'`sec'_odur_`type', m(`locnam'`sec'_odurall_`type') ifc(ologit_all) over
      matorder `locnam'`sec'_odur_`type', m(`locnam'`sec'_odur_`type') ifc(ologit_focal) over
      matname `locnam'`sec'_odurall_`type' `locnam'`sec'_ologit_all, columns(1) explicit
      matname `locnam'`sec'_odur_`type' `locnam'`sec'_ologit_focal, columns(1) explicit
      }
    }
  mat comp_odur_focal_`type' = natlsubs_odur_`type' , natlcnae_odur_`type' , metrosubs_odur_`type' , metrocnae_odur_`type'
  mat comp_odur_all_`type' = natlsubs_odurall_`type' , natlcnae_odurall_`type' , metrosubs_odurall_`type' , metrocnae_odurall_`type'
  mat drop natlsubs_odur_`type' natlcnae_odur_`type' metrosubs_odur_`type' metrocnae_odur_`type'
  mat drop natlsubs_odurall_`type' natlcnae_odurall_`type' metrosubs_odurall_`type' metrocnae_odurall_`type'
  }
est2tex comp_odur_focal, fancy p(brazrloc/tex/v4/reg) replace level(90 95 99) mark(starse) dropall extracols(2)
est2tex comp_odur_all, fancy p(brazrloc/tex/v4/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

* Clean up
foreach type in b se e tbl {
  capture mat drop main_natlsubs_odur_`type'
  capture mat drop main_natlcnae_odur_`type'
  capture mat drop main_metrosubs_odur_`type'
  capture mat drop main_metrocnae_odur_`type'
  mat drop comp_odur_focal_`type'
  }
clear


// SURVIVAL TIME REGRESSIONS

est2extlbl, addto(main_natlsubs_hzrd) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(natlaic_hzrd) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
est2extlbl, addto(natlaic_hzrdnodyr) retain p(brazrloc/tex/v4/natl-maleprime/reg) replace
clear

* LOAD MATRICES *

foreach type in b se e {
  foreach loc in "natl-male" {
    foreach sec in aic subs {
      local locnam = subinstr(substr("`loc'",1,5),"-","",.)
      matload `sec'_hzrd_`type', p(brazrloc/estmat/v4/reg/`loc'prime) over missing(.) dropall
      mat rename `sec'_hzrd_`type' `locnam'`sec'_hzrd_`type'
      matrix coleq `locnam'`sec'_hzrd_`type' = hzrd
      matload `sec'_hzrdnodyr_`type', p(brazrloc/estmat/v4/reg/`loc'prime) over missing(.) dropall
      mat rename `sec'_hzrdnodyr_`type' `locnam'`sec'_hzrdnodyr_`type'
      matrix coleq `locnam'`sec'_hzrdnodyr_`type' = hzrdnodyr
      }
    }
  }

* INDIVIDUAL TABLES *

foreach spec in hzrd hzrdnodyr {
  mat natlaic_`spec'_e = natlaic_`spec'_b[10..11,1..5] \ natlaic_`spec'_e
  mat natlaic_`spec'_b = natlaic_`spec'_b[1..9,1..5]
  mat natlaic_`spec'_se = natlaic_`spec'_se[1..9,1..5]
  est2tex natlaic_`spec', fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall
}

foreach type in b se e {
  mat main_natlsubs_hzrd_`type' = natlsubs_hzrd_`type' , natlsubs_hzrdnodyr_`type'
  matorder main_natlsubs_hzrd_`type', m(main_natlsubs_hzrd_`type') over ifc(hzrdnodyr:streg_focal hzrd:streg_focal hzrdnodyr:streg_focal_rhirsmpl hzrdnodyr:streg_rehir hzrd:streg_rehir)
  }
est2tex main_natlsubs_hzrd, fancy p(brazrloc/tex/v4/natl-maleprime/reg) replace level(90 95 99) mark(starse) dropall extracols(2)

* Clean up
foreach type in b se e tbl {
  capture mat drop natlaic_hzrd_`type'
  capture mat drop natlsubs_hzrd_`type'
  capture mat drop main_natlsubs_hzrd_`type'
  }
clear


// ANNUAL OCCUPATION EXPERIENCE TABLES

foreach sample in "natl-maleprime" "natl" {
  drop _all
  est2extlbl, addto(labocctrns_86_98) intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/`sample'/laborstats) replace
  matload labocctrns_86_98_tbl, p(brazrloc/tex/v4/`sample'/laborstats) over missing(.) dropall
  matorder labocctrns_86_98_tbl, m(labocctrns_86_98_tbl) over ifr(samejob sameest samefrm othrfrm retired unacc)
  est2tex labocctrns_86_98, ready p(brazrloc/tex/v4/`sample'/laborstats) replace fancy dropall
  }  // close `sample' loop


// KATZ-MURPHY TABLES

foreach sample in "natl-maleprime" "metromale-prime" {
  foreach timespan in "1990 1998" "1986 2001" {
    tokenize `timespan'
    local yr0 = substr("`1'",-2,2)
    local yr1 = substr("`2'",-2,2)
    drop _all
    est2extlbl, addto(katzmurp`yr0'`yr1') intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/`sample'/laborstats) replace
    matload katzmurp`yr0'`yr1'_tbl, p(brazrloc/tex/v4/`sample'/laborstats) over missing(.) dropall
    est2tex katzmurp`yr0'`yr1', ready p(brazrloc/tex/v4/`sample'/laborstats) replace fancy dropall extracols(2 4)
    }  // close `timespan' loop
  }  // close `sample' loop

foreach sample in "natl-maleprime" "metromale-prime" {
 foreach sector in "" "trad" "nont" {
  est2extlbl, addto(katzmurpall`sector') intex($root/brazrloc/%stata/rowlbl-brazrloc) p(brazrloc/tex/v4/`sample'/laborstats) replace dropall
  foreach timespan in "1986 1990" "1990 1997" "1997 2001" "1986 2001" {
    tokenize `timespan'
    local yr0 = substr("`1'",-2,2)
    local yr1 = substr("`2'",-2,2)
    drop _all
    matload katzmurp`yr0'`yr1'`sector'_tbl, p(brazrloc/tex/v4/`sample'/laborstats) over missing(.) dropall
    }  // close `timespan' loop
  mat katzmurpall`sector'_tbl = katzmurp8690`sector'_tbl , katzmurp9097`sector'_tbl , katzmurp9701`sector'_tbl , katzmurp8601`sector'_tbl
  matorder katzmurpall`sector'_tbl, m(katzmurpall`sector'_tbl) over ifc(delxsubs8690 delxsubs9097 delxsubs9701 delxsubs8601 delxsubsocc8690 delxsubsocc9097 delxsubsocc9701 delxsubsocc8601)
  local cols = colsof(katzmurpall`sector'_tbl)
  local rows = rowsof(katzmurpall`sector'_tbl)
  forvalues r = 1/`rows' {
    forvalues c = 1/`cols' {
      mat katzmurpall`sector'_tbl[`r',`c'] = log( 1 + katzmurpall`sector'_tbl[`r',`c'] )
      }
    }
  mat _delw = katzmurpall`sector'_tbl[1...,5..8] - katzmurpall`sector'_tbl[1...,1..4]
  mat colnames _delw = delwsubs8690 delwsubs9097 delwsubs9701 delwsubs8601
  mat katzmurpall`sector'_tbl = katzmurpall`sector'_tbl[1...,1..4] , _delw , katzmurpall`sector'_tbl[1...,5..8]
  mat katzmurpall`sector'_tbl = katzmurpall`sector'_tbl*100
  mat katzmurpall`sector'_tbl[1,4] = katzmurpall`sector'_tbl[1...,1] + katzmurpall`sector'_tbl[1...,2] + katzmurpall`sector'_tbl[1...,3]
  mat katzmurpall`sector'_tbl[1,8] = katzmurpall`sector'_tbl[1...,5] + katzmurpall`sector'_tbl[1...,6] + katzmurpall`sector'_tbl[1...,7]
  mat katzmurpall`sector'_tbl[1,12] = katzmurpall`sector'_tbl[1...,9] + katzmurpall`sector'_tbl[1...,10] + katzmurpall`sector'_tbl[1...,11]
  est2tex katzmurpall`sector', ready p(brazrloc/tex/v4/`sample'/laborstats) replace fancy dropall extracols(4 8) digits(1)
  mat drop _delw
  }  // close `sector' loop
 }  // close `sample' loop

